1. Promo API
BETCORE Promo API
  • General documentation
    • What's new?
    • Dictionaries
    • Signing of server requests
    • Error codes
  • Promo API
    • /FreeBets/Campaign/Create
      POST
    • /FreeBets/Issue
      POST
    • /FreeBets/Cancel
      POST
  • BETCORE API
    • /Game/List
      POST
  1. Promo API

/FreeBets/Campaign/Create

POST
/FreeBets/Campaign/Create
That method is used to create a freebets campaign template that can later be used to issue freebets to players.
Freebet campaign creation is optional. Freebets can be issued either by referencing a pre-created campaign or directly without creating a campaign.
If a campaign is used, it defines reusable configuration: games, bet amounts, validity period, coefficient limits.
If no campaign is used, all required parameters must be provided directly in the /FreeBets/Issue request.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠4XXClient Error
🔴5XXServer Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.bcdprod.net/partnersmediator-service/api/v3/FreeBets/Campaign/Create' \
--header 'X-REQUEST-SIGN: XXX' \
--header 'Content-Type: application/json' \
--data '{
    "client_id": 6781234521,
    "campaign_id": "2234612623",
    "name": "Summer Freebet 2026",
    "quantity": 1,
    "valid_from": "2026-05-07T12:00:00Z",
    "valid_until": "2026-05-14T12:00:00Z",
    "games": [
        "game"
    ],
    "bet_amounts": [
        {
            "currency": "EUR",
            "amount": "10.00"
        },
        {
            "currency": "USD",
            "amount": "11.00"
        }
    ],
    "duration_min": 1440,
    "config": {
        "bonus_limit": 1000,
        "bonus_limit_per_user": 1,
        "min_coefficient": "1.5",
        "max_coefficient": "10.0"
    }
}'
Response Response Example
200 - Success
{
    "campaign_id": "summer_fs_2026"
}
Modified at 2026-10-01 08:46:12
Previous
Error codes
Next
/FreeBets/Issue
Built with